Bug 528048 - display black after resume
display black after resume
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2009-10-08 14:05 EDT by Bill Nottingham
Modified: 2014-03-16 23:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-03 16:38:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (44.84 KB, text/plain)
2009-10-08 14:05 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2009-10-08 14:05:01 EDT
Created attachment 364164 [details]
X log

Description of problem:

On resume from s2ram, backlight is on, but screen is black.

xrandr'ing the LVDS off and back on does not help. Neither does switching to/from a VT.

Running 'xgamma -gamma 1.0' (or any other gamma setting) fixes it. If I query it beforehand, xgamma thinks the gamma is normal when the screen is black.

Hardware:

Version-Release number of selected component (if applicable):

kernel-2.6.31.1-56.fc12.x86_64
xorg-x11-server-Xorg-1.7.0-1.fc12.x86_64
xorg-x11-drv-intel-2.9.0-2.fc12.x86_64

How reproducible:

100%

Steps to Reproduce:
1. suspend to ram
2. ...
3. resume
  
Actual results:

Very very black desktop.

Expected results:

Normal desktop.

Additional info:

pm-suspend.log:

Initial commandline parameters: 
Thu Oct  8 13:45:18 EDT 2009: Running hooks for suspend.
/usr/lib64/pm-utils/sleep.d/00auto-quirk suspend suspend: Adding quirks from HAL: --quirk-s3-bios --quirk-s3-mode 
success.
/usr/lib64/pm-utils/sleep.d/00logging suspend suspend: Linux nostromo.devel.redhat.com 2.6.31.1-56.fc12.x86_64 #1 SMP Tue Sep 29 16:16:22 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Module                  Size  Used by
fuse                   70408  2 
sha256_generic         11136  0 
cryptd                  8864  0 
aes_x86_64              9024  2 
aes_generic            28032  1 aes_x86_64
cbc                     4480  1 
dm_crypt               15408  1 
ipt_MASQUERADE          3888  1 
iptable_nat             8096  1 
nf_nat                 24284  2 ipt_MASQUERADE,iptable_nat
rfcomm                 76072  6 
sco                    21624  2 
bridge                 62792  0 
stp                     3108  1 bridge
llc                     7056  2 bridge,stp
bnep                   20352  2 
l2cap                  41424  16 rfcomm,bnep
nf_conntrack_netbios_ns     3152  0 
xt_physdev              2752  1 
ip6t_REJECT             6016  2 
ip6t_ipv6header         2656  2 
nf_conntrack_ipv6      23288  5 
ip6table_filter         4256  1 
ip6_tables             20528  2 ip6t_ipv6header,ip6table_filter
ipv6                  330216  24 ip6t_REJECT,nf_conntrack_ipv6
cpufreq_ondemand        8992  2 
acpi_cpufreq           11264  0 
freq_table              5312  2 cpufreq_ondemand,acpi_cpufreq
dm_multipath           19600  0 
kvm_intel              52280  0 
kvm                   182568  1 kvm_intel
uinput                 10520  0 
arc4                    2320  2 
snd_hda_codec_analog    78544  1 
snd_hda_intel          32136  2 
snd_hda_codec          80480  2 snd_hda_codec_analog,snd_hda_intel
snd_hwdep               9864  1 snd_hda_codec
ecb                     3632  2 
snd_pcm                90568  2 snd_hda_intel,snd_hda_codec
iwl3945               126624  0 
snd_timer              24544  1 snd_pcm
e1000e                139252  0 
iwlcore               182040  1 iwl3945
nsc_ircc               18576  0 
mac80211              204644  2 iwl3945,iwlcore
snd                    74936  10 snd_hda_codec_analog,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
soundcore               7952  1 snd
iTCO_wdt               13768  0 
iTCO_vendor_support     3860  1 iTCO_wdt
i2c_i801               13632  0 
snd_page_alloc         10464  2 snd_hda_intel,snd_pcm
cfg80211               96336  3 iwl3945,iwlcore,mac80211
irda                  131940  1 nsc_ircc
btusb                  20460  2 
bluetooth             103028  9 rfcomm,sco,bnep,l2cap,btusb
thinkpad_acpi          76804  0 
hwmon                   4000  1 thinkpad_acpi
rfkill                 23944  3 cfg80211,bluetooth,thinkpad_acpi
crc_ccitt               2176  1 irda
yenta_socket           30756  1 
rsrc_nonstatic         11584  1 yenta_socket
usb_storage            63056  1 
i915                  236784  2 
drm_kms_helper         26336  1 i915
drm                   187600  3 i915,drm_kms_helper
i2c_algo_bit            6676  1 i915
i2c_core               30760  4 i2c_i801,i915,drm,i2c_algo_bit
video                  25324  1 i915
output                  3624  1 video
             total       used       free     shared    buffers     cached
Mem:       3031980    2803656     228324          0     213000    1037732
-/+ buffers/cache:    1552924    1479056
Swap:            0          0          0
success.
/usr/lib64/pm-utils/sleep.d/00powersave suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/01grub suspend suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/10-dhclient suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/49bluetooth suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/56atd suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/75modules suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/90clock suspend suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/94cpufreq suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/95led suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/95packagekit suspend suspend: success.
/usr/lib64/pm-utils/sleep.d/98smart-kernel-video suspend suspend: /usr/lib64/pm-utils/sleep.d/98smart-kernel-video: line 37: add_parameter: command not found
success.
/usr/lib64/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend: saving level 128 for device sda
 HDIO_DRIVE_CMD(identify) failed: Invalid exchange
Advanced Power Management not supported by device sdb.
success.
/usr/lib64/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Thu Oct  8 13:45:20 EDT 2009: performing suspend
Thu Oct  8 13:45:31 EDT 2009: Awake.
Thu Oct  8 13:45:31 EDT 2009: Running hooks for resume
/usr/lib64/pm-utils/sleep.d/99video resume suspend: success.
/usr/lib64/pm-utils/sleep.d/99hd-apm-restore.hook resume suspend: restoring level 128 for device sda

/dev/sda:
 setting Advanced Power Management level to 0x80 (128)
 APM_level      = 128
success.
/usr/lib64/pm-utils/sleep.d/98smart-kernel-video resume suspend: success.
/usr/lib64/pm-utils/sleep.d/95packagekit resume suspend: method return sender=:1.115 -> dest=:1.114 reply_serial=2
success.
/usr/lib64/pm-utils/sleep.d/95led resume suspend: success.
/usr/lib64/pm-utils/sleep.d/94cpufreq resume suspend: success.
/usr/lib64/pm-utils/sleep.d/90clock resume suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/75modules resume suspend: success.
/usr/lib64/pm-utils/sleep.d/56atd resume suspend: Stopping atd: [  OK  ]
/usr/lib64/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Thu Oct  8 13:45:20 EDT 2009: performing suspend
Thu Oct  8 13:45:31 EDT 2009: Awake.
Thu Oct  8 13:45:31 EDT 2009: Running hooks for resume
/usr/lib64/pm-utils/sleep.d/99video resume suspend: success.
/usr/lib64/pm-utils/sleep.d/99hd-apm-restore.hook resume suspend: restoring level 128 for device sda

/dev/sda:
 setting Advanced Power Management level to 0x80 (128)
 APM_level      = 128
success.
/usr/lib64/pm-utils/sleep.d/98smart-kernel-video resume suspend: success.
/usr/lib64/pm-utils/sleep.d/95packagekit resume suspend: method return sender=:1.115 -> dest=:1.114 reply_serial=2
success.
/usr/lib64/pm-utils/sleep.d/95led resume suspend: success.
/usr/lib64/pm-utils/sleep.d/94cpufreq resume suspend: success.
/usr/lib64/pm-utils/sleep.d/90clock resume suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/75modules resume suspend: success.
/usr/lib64/pm-utils/sleep.d/56atd resume suspend: Stopping atd: [  OK  ]
Starting atd: [  OK  ]^M[  OK  ]
success.
/usr/lib64/pm-utils/sleep.d/55NetworkManager resume suspend: success.
/usr/lib64/pm-utils/sleep.d/49bluetooth resume suspend: success.
/usr/lib64/pm-utils/sleep.d/10-dhclient resume suspend: success.
/usr/lib64/pm-utils/sleep.d/01grub resume suspend: not applicable.
/usr/lib64/pm-utils/sleep.d/00powersave resume suspend: success.
/usr/lib64/pm-utils/sleep.d/00logging resume suspend: success.
/usr/lib64/pm-utils/sleep.d/00auto-quirk resume suspend: success.
Thu Oct  8 13:45:32 EDT 2009: Finished.

xorg.conf:
Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
EndSection

Section "ServerFlags"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	Gamma        0.8 0.8 0.6
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "intel"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection
Comment 1 Bill Nottingham 2009-10-08 14:06:33 EDT
This is a fairly recent regression - with the prior week's packages it worked.
Comment 2 Kjartan Maraas 2009-10-22 09:00:00 EDT
I see something similar here. I don't have a black screen, but it's dimmed down quite a bit and running the xgamma command above fixed it for me as well.

kernel-PAE-2.6.31.1-56.fc12.i686
xorg-x11-drv-intel-2.9.0-2.fc12.i686
Comment 3 Adam Williamson 2009-10-23 17:39:40 EDT
Bill: could you tighten it down a bit beyond "prior week's packages"?

xorg-x11-drv-intel got a version bump on October 1st, so that'd be my prime suspect: test 2.8.0-16.20090909 vs. 2.9.0-2 . The last time kernel got bumped was Sept 30th, you could test back a few kernel versions too.

Discussed at the blocker review meeting today: our consensus was to reluctantly downgrade this issue, as we don't usually consider suspend issues release blockers, and it at least doesn't seem to have broken _every intel in the world_ as Jesse and Matej say theirs are working. downgraded to f12-target . we would accept a tag request to fix this problem, though, most likely, if a fix could be found.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bill Nottingham 2009-11-03 16:38:05 EST
Appears to be fixed with X server 1.7.0-5.

Note You need to log in before you can comment on or make changes to this bug.